Cyberduck Mountain Duck CLI

#10372 closed defect (worksforme)

List issues with S3 ( AWSv2 and Ceph ) - Forbidden, XML Error

Reported by: dmalicia Owned by:
Priority: normal Milestone:
Component: core Version: 6.6.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dmalicia)

Working with cyberduck v6.6.1 with AWS2 profile in ceph Auth works but listing buckets fails....

Version v4.9.1 everything works fine ( same profile )

ceph version 12.2.5 (cad919881333ac92274171586c827e01f554a70a) luminous (stable) 

My profile :

<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>Protocol</key>
	<string>s3</string>
	<key>Provider</key>
	<string>s3-https</string>
	<key>UUID</key>
	<string>4hdhdh-33333-444440-0000-00000000</string>
	<key>Hostname</key>
	<string>swift-server</string>
	<key>Port</key>
	<string>6780</string>
	<key>Username</key>
	<string>991good7b1a456db29990d5ddd517e</string>
	<key>Web URL</key>
	<string>http://swift-server:6780</string>
	<key>Access Timestamp</key>
	<string>1529529944190</string>
</dict> 

Error message :

Jun 20 17:18:34 Ormucos-MacBook-Pro Cyberduck[18181]: [background-9] WARN  ch.cyberduck.core.threading.AbstractRetryCallable - No retry for failure ch.cyberduck.core.exception.LoginFailureException{detail='Forbidden. Service Error Message.', cause='org.jets3t.service.S3ServiceException: Service Error Message. -- ResponseCode: 403, ResponseStatus: Forbidden, XML Error Message: <?xml version="1.0" encoding="UTF-8"?><Error><Code>SignatureDoesNotMatch</Code><RequestId>tx000000000000000000579-005b2ac4aa-56d6bea-gateway</RequestId><HostId>56d6bea-gateway-gateway</HostId></Error>', message='Listing directory diego failed.'}
Jun 20 17:18:34 Ormucos-MacBook-Pro Cyberduck[18181]: [background-9] WARN  ch.cyberduck.core.threading.BackgroundCallable - Failure running background task Listing directory diego failed.

Full log :

Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.impl.conn.DefaultManagedHttpClientConnection - http-outgoing-2: set socket timeout to 0
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.impl.conn.DefaultManagedHttpClientConnection - http-outgoing-2: set socket timeout to 30000
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.impl.execchain.MainClientExec - Executing request GET /diego/?max-keys=1000&versions&prefix&delimiter=%2F HTTP/1.1
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.impl.execchain.MainClientExec - Proxy auth state: UNCHALLENGED
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.request - GET /diego/?max-keys=1000&versions&prefix&delimiter=%2F HTTP/1.1
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.request - Date: Tue, 19 Jun 2018 20:29:50 GMT
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.request - Authorization: ********
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.request - Host: swift-server:6780
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.request - Connection: Keep-Alive
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.request - User-Agent: Cyberduck/6.6.1.28146 (Mac OS X/10.11.6) (x86_64)
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 >> GET /diego/?max-keys=1000&versions&prefix&delimiter=%2F HTTP/1.1
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 >> Date: Tue, 19 Jun 2018 20:29:50 GMT
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 >> Authorization: AWS 991good7b1a456db29990d5ddd517e:3Pb5M1GxKkp75lGi4eZpZA6zaYE=
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 >> Host: swift-server:6780
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 >> Connection: Keep-Alive
Jun 19 16:29:50 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 >> User-Agent: Cyberduck/6.6.1.28146 (Mac OS X/10.11.6) (x86_64)
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << HTTP/1.1 403 Forbidden
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << Keep-Alive: 5
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << x-amz-request-id: tx000000000000000000512-005b2967be-56d6bea-gateway
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << accept-ranges: bytes
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << date: Tue, 19 Jun 2018 20:29:50 GMT
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << x-mesh-debug-proxied-url: http://10.162.70.100:6780/diego/?max-keys=1000&delimiter=/
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << x-mesh-debug-req-id: f0023962-b2f4-42e9-81b8-ef01d103fb4f
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << access-control-allow-origin: *
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << content-length: 200
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.headers - http-outgoing-2 << content-type: application/xml
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - HTTP/1.1 403 Forbidden
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - Keep-Alive: 5
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - x-amz-request-id: tx000000000000000000512-005b2967be-56d6bea-gateway
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - accept-ranges: bytes
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - date: Tue, 19 Jun 2018 20:29:50 GMT
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - x-mesh-debug-proxied-url: http://10.162.70.100:6780/diego/?max-keys=1000&delimiter=/
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - x-mesh-debug-req-id: f0023962-b2f4-42e9-81b8-ef01d103fb4f
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - access-control-allow-origin: *
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - content-length: 200
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.transcript.response - content-type: application/xml
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.impl.execchain.MainClientExec - Connection can be kept alive indefinitely
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response for 'GET'. Content-Type: application/xml, Headers: [Keep-Alive: 5, x-amz-request-id: tx000000000000000000512-005b2967be-56d6bea-gateway, accept-ranges: bytes, date: Tue, 19 Jun 2018 20:29:50 GMT, x-mesh-debug-proxied-url: http://10.162.70.100:6780/diego/?max-keys=1000&delimiter=/, x-mesh-debug-req-id: f0023962-b2f4-42e9-81b8-ef01d103fb4f, access-control-allow-origin: *, content-length: 200, content-type: application/xml]
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response entity: ResponseEntityProxy{[Content-Type: application/xml,Content-Length: 200,Chunked: false]}
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Entity length: 200
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Received response code 403; matches one of expected set ([200])? false
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Error response xml: true
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Error response entity: ResponseEntityProxy{[Content-Type: application/xml,Content-Length: 200,Chunked: false]}
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Error response entity length: 200
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response '/diego/' - Received error response with XML message
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.impl.conn.PoolingHttpClientConnectionManager - Connection [id: 2][route: {s}->https://swift-server:6780] can be kept alive indefinitely
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.impl.conn.DefaultManagedHttpClientConnection - http-outgoing-2: set socket timeout to 0
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.impl.conn.PoolingHttpClientConnectionManager - Connection released: [id: 2][route: {s}->https://swift-server:6780][total kept alive: 1; route allocated: 1 of 10; total allocated: 1 of 2147483647]
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.HttpMethodReleaseInputStream - Released HttpMethod as its response data stream is fully consumed 
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Rethrowing as a ServiceException error in performRequest: org.jets3t.service.ServiceException: Service Error Message. -- ResponseCode: 403, ResponseStatus: null, XML Error Message: <?xml version="1.0" encoding="UTF-8"?><Error><Code>SignatureDoesNotMatch</Code><RequestId>tx000000000000000000512-005b2967be-56d6bea-gateway</RequestId><HostId>56d6bea-gateway-gateway</HostId></Error>
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Releasing HttpClient connection after error: Service Error Message.
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG org.apache.http.impl.execchain.MainClientExec - Cancelling request execution
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG ch.cyberduck.core.threading.DefaultFailureDiagnostics - Determine cause for failure ch.cyberduck.core.exception.LoginFailureException{detail='Forbidden. Service Error Message.', cause='org.jets3t.service.S3ServiceException: Service Error Message. -- ResponseCode: 403, ResponseStatus: Forbidden, XML Error Message: <?xml version="1.0" encoding="UTF-8"?><Error><Code>SignatureDoesNotMatch</Code><RequestId>tx000000000000000000512-005b2967be-56d6bea-gateway</RequestId><HostId>56d6bea-gateway-gateway</HostId></Error>', message='Listing directory diego failed.'}
Jun 19 16:29:51 --- last message repeated 1 time ---
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] WARN  ch.cyberduck.core.threading.AbstractRetryCallable - No retry for failure ch.cyberduck.core.exception.LoginFailureException{detail='Forbidden. Service Error Message.', cause='org.jets3t.service.S3ServiceException: Service Error Message. -- ResponseCode: 403, ResponseStatus: Forbidden, XML Error Message: <?xml version="1.0" encoding="UTF-8"?><Error><Code>SignatureDoesNotMatch</Code><RequestId>tx000000000000000000512-005b2967be-56d6bea-gateway</RequestId><HostId>56d6bea-gateway-gateway</HostId></Error>', message='Listing directory diego failed.'}
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] WARN  ch.cyberduck.core.threading.BackgroundCallable - Failure running background task Listing directory diego failed.
	
	java.lang.Exception
		at ch.cyberduck.core.threading.BackgroundCallable.<init>(BackgroundCallable.java:38)
		at ch.cyberduck.core.threading.DefaultBackgroundExecutor.execute(DefaultBackgroundExecutor.java:66)
		at ch.cyberduck.core.AbstractController.background(AbstractController.java:78)
		at ch.cyberduck.ui.cocoa.controller.BrowserController.reload(BrowserController.java:519)
		at ch.cyberduck.ui.cocoa.controller.BrowserController.setWorkdir(BrowserController.java:3022)
		at ch.cyberduck.ui.cocoa.controller.BrowserController.setWorkdir(BrowserController.java:2997)
		at ch.cyberduck.ui.cocoa.controller.BrowserController.insideButtonClicked(BrowserController.java:2664)
		at ch.cyberduck.ui.cocoa.controller.BrowserController$AbstractBrowserTableDelegate.tableRowDoubleClicked(BrowserController.java:3559)
		at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
		at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
		at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
		at java.lang.reflect.Method.invoke(Method.java:498)
		at org.rococoa.internal.OCInvocationCallbacks.callMethod(OCInvocationCallbacks.java:171)
		at org.rococoa.internal.OCInvocationCallbacks.access$200(OCInvocationCallbacks.java:53)
		at org.rococoa.internal.OCInvocationCallbacks$2.callback(OCInvocationCallbacks.java:83)
		at sun.reflect.GeneratedMethodAccessor14.invoke(Unknown Source)
		at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
		at java.lang.reflect.Method.invoke(Method.java:498)
		at com.sun.jna.CallbackReference$DefaultCallbackProxy.invokeCallback(CallbackReference.java:485)
		at com.sun.jna.CallbackReference$DefaultCallbackProxy.callback(CallbackReference.java:515)
		at com.sun.jna.Native.invokeVoid(Native Method)
		at com.sun.jna.Function.invoke(Function.java:374)
		at com.sun.jna.Function.invoke(Function.java:323)
		at com.sun.jna.Function.invoke(Function.java:275)
		at org.rococoa.internal.MsgSendHandler.invoke(MsgSendHandler.java:111)
		at com.sun.jna.Library$Handler.invoke(Library.java:234)
		at com.sun.proxy.$Proxy0.syntheticSendMessage(Unknown Source)
		at org.rococoa.Foundation.send(Foundation.java:209)
		at org.rococoa.Foundation.send(Foundation.java:195)
		at org.rococoa.internal.ObjCObjectInvocationHandler.sendOnThisOrMainThread(ObjCObjectInvocationHandler.java:270)
		at org.rococoa.internal.ObjCObjectInvocationHandler.invokeCocoa(ObjCObjectInvocationHandler.java:233)
		at org.rococoa.internal.ObjCObjectInvocationHandler.intercept(ObjCObjectInvocationHandler.java:192)
		at ch.cyberduck.binding.application.NSApplication$$ByRococoa.run(<generated>)
		at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:116)
	Caused by: ch.cyberduck.core.exception.LoginFailureException{detail='Forbidden. Service Error Message.', cause='org.jets3t.service.S3ServiceException: Service Error Message. -- ResponseCode: 403, ResponseStatus: Forbidden, XML Error Message: <?xml version="1.0" encoding="UTF-8"?><Error><Code>SignatureDoesNotMatch</Code><RequestId>tx000000000000000000512-005b2967be-56d6bea-gateway</RequestId><HostId>56d6bea-gateway-gateway</HostId></Error>', message='Listing directory diego failed.'}
		at ch.cyberduck.core.s3.S3ExceptionMappingService.map(S3ExceptionMappingService.java:64)
		at ch.cyberduck.core.s3.S3ExceptionMappingService.map(S3ExceptionMappingService.java:38)
		at ch.cyberduck.core.AbstractExceptionMappingService.map(AbstractExceptionMappingService.java:50)
		at ch.cyberduck.core.s3.S3VersionedObjectListService.list(S3VersionedObjectListService.java:129)
		at ch.cyberduck.core.s3.S3ListService.list(S3ListService.java:51)
		at ch.cyberduck.core.vault.VaultFinderListService.list(VaultFinderListService.java:46)
		at ch.cyberduck.core.vault.registry.VaultRegistryListService.list(VaultRegistryListService.java:64)
		at ch.cyberduck.core.worker.SessionListWorker.run(SessionListWorker.java:57)
		at ch.cyberduck.core.worker.SessionListWorker.run(SessionListWorker.java:35)
		at ch.cyberduck.core.threading.WorkerBackgroundAction.run(WorkerBackgroundAction.java:76)
		at ch.cyberduck.core.threading.SessionBackgroundAction.run(SessionBackgroundAction.java:122)
		at ch.cyberduck.core.threading.SessionBackgroundAction$1.call(SessionBackgroundAction.java:104)
		at ch.cyberduck.core.threading.DefaultRetryCallable.call(DefaultRetryCallable.java:48)
		at ch.cyberduck.core.threading.SessionBackgroundAction.call(SessionBackgroundAction.java:106)
		at ch.cyberduck.core.threading.BackgroundCallable.run(BackgroundCallable.java:102)
		at ch.cyberduck.core.threading.BackgroundCallable.call(BackgroundCallable.java:61)
		at java.util.concurrent.FutureTask.run(FutureTask.java:266)
		at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
		at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
		at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:53)
		at java.lang.Thread.run(Thread.java:748)
	Caused by: org.jets3t.service.S3ServiceException: Service Error Message. -- ResponseCode: 403, ResponseStatus: Forbidden, XML Error Message: <?xml version="1.0" encoding="UTF-8"?><Error><Code>SignatureDoesNotMatch</Code><RequestId>tx000000000000000000512-005b2967be-56d6bea-gateway</RequestId><HostId>56d6bea-gateway-gateway</HostId></Error>
		at org.jets3t.service.impl.rest.httpclient.RestS3Service.listVersionedObjectsInternal(RestS3Service.java:538)
		at org.jets3t.service.impl.rest.httpclient.RestS3Service.listVersionedObjectsChunkedImpl(RestS3Service.java:609)
		at org.jets3t.service.S3Service.listVersionedObjectsChunked(S3Service.java:1958)
		at ch.cyberduck.core.s3.S3VersionedObjectListService.list(S3VersionedObjectListService.java:66)
		... 17 more
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] INFO  ch.cyberduck.core.threading.SessionBackgroundAction - Run alert callback ch.cyberduck.ui.cocoa.callback.PromptAlertCallback@1faacd2e for failure ch.cyberduck.core.exception.LoginFailureException{detail='Forbidden. Service Error Message.', cause='org.jets3t.service.S3ServiceException: Service Error Message. -- ResponseCode: 403, ResponseStatus: Forbidden, XML Error Message: <?xml version="1.0" encoding="UTF-8"?><Error><Code>SignatureDoesNotMatch</Code><RequestId>tx000000000000000000512-005b2967be-56d6bea-gateway</RequestId><HostId>56d6bea-gateway-gateway</HostId></Error>', message='Listing directory diego failed.'}
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG ch.cyberduck.core.threading.DefaultFailureDiagnostics - Determine cause for failure ch.cyberduck.core.exception.LoginFailureException{detail='Forbidden. Service Error Message.', cause='org.jets3t.service.S3ServiceException: Service Error Message. -- ResponseCode: 403, ResponseStatus: Forbidden, XML Error Message: <?xml version="1.0" encoding="UTF-8"?><Error><Code>SignatureDoesNotMatch</Code><RequestId>tx000000000000000000512-005b2967be-56d6bea-gateway</RequestId><HostId>56d6bea-gateway-gateway</HostId></Error>', message='Listing directory diego failed.'}
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidChangeBackingProperties for selector:windowDidChangeBackingProperties:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowWillMove for selector:windowWillMove:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowWillExitVersionBrowser for selector:windowWillExitVersionBrowser:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidUpdate for selector:windowDidUpdate:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidResize for selector:windowDidResize:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidMiniaturize for selector:windowDidMiniaturize:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidEnterFullScreen for selector:windowDidEnterFullScreen:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidExitFullScreen for selector:windowDidExitFullScreen:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidChangeOcclusionState for selector:windowDidChangeOcclusionState:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidMove for selector:windowDidMove:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidEndSheet for selector:windowDidEndSheet:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowWillOrderOffScreen for selector:windowWillOrderOffScreen:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidOrderOnScreen for selector:windowDidOrderOnScreen:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidExpose for selector:windowDidExpose:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidEndLiveResize for selector:windowDidEndLiveResize:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowWillMiniaturize for selector:windowWillMiniaturize:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidExitVersionBrowser for selector:windowDidExitVersionBrowser:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidOrderOffScreen for selector:windowDidOrderOffScreen:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowWillEnterVersionBrowser for selector:windowWillEnterVersionBrowser:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidChangeScreenProfile for selector:windowDidChangeScreenProfile:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidEnterVersionBrowser for selector:windowDidEnterVersionBrowser:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidDeminiaturize for selector:windowDidDeminiaturize:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowWillOrderOnScreen for selector:windowWillOrderOnScreen:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowDidChangeScreen for selector:windowDidChangeScreen:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowWillStartLiveResize for selector:windowWillStartLiveResize:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method validRequestorForSendType_returnType for selector:validRequestorForSendType:returnType:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method windowWillReturnFieldEditor_toObject for selector:windowWillReturnFieldEditor:toObject:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method window_willEncodeRestorableState for selector:window:willEncodeRestorableState:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG ch.cyberduck.binding.WindowController - Attach sheet for window <NSWindow: 0x7f87ad8ed890>
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG org.rococoa.callback - No method window_willPositionSheet_usingRect for selector:window:willPositionSheet:usingRect:
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG ch.cyberduck.binding.WindowController - Resign key for window <NSWindow: 0x7f87ad8ed890>
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG ch.cyberduck.binding.WindowController - Become key for window <NSPanel: 0x7f87b034a1a0>
Jun 19 16:29:51 Ormucos-MacBook-Pro Cyberduck[15038]: [background-11] DEBUG ch.cyberduck.binding.SheetInvoker - Await sheet dismiss
Jun 19 16:29:58 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG ch.cyberduck.binding.WindowController - Resign key for window <NSPanel: 0x7f87b034a1a0>
Jun 19 16:29:58 Ormucos-MacBook-Pro Cyberduck[15038]: [main] DEBUG ch.cyberduck.binding.WindowController - Resign main for window <NSWindow: 0x7f87ad8ed890> 

Change History (6)

comment:1 Changed on Jun 20, 2018 at 9:30:37 PM by dmalicia

  • Description modified (diff)

comment:2 Changed on Jun 20, 2018 at 9:31:00 PM by dmalicia

  • Description modified (diff)

comment:3 Changed on Jun 20, 2018 at 9:31:33 PM by dmalicia

  • Description modified (diff)

comment:4 Changed on Jun 20, 2018 at 9:31:50 PM by dmalicia

  • Description modified (diff)

comment:5 Changed on Jun 20, 2018 at 9:32:25 PM by dmalicia

  • Description modified (diff)

comment:6 Changed on Jun 21, 2018 at 1:49:19 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

We default to use AWS4 signature version for authentication since version 5.0. Your profile should include a key for Authorization set to AWS2. Refer to the sample profiles at Authentication with signature version AWS2.

Note: See TracTickets for help on using tickets.
swiss made software